﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ProjectAnalogParus
{
    /// <summary>
    /// Логика взаимодействия для InfoUserPage.xaml
    /// </summary>
    public partial class InfoUserPage : Page
    {
        gr672_bdaEntities db = new gr672_bdaEntities();
        public int? IdUser { get; set; }
        public InfoUserPage(int? UserID)
        {
            
            InitializeComponent();
            IdUser = UserID;
            cmbRole.ItemsSource = db.Role.ToList();
            cmbRole.DisplayMemberPath = "NameRole";
            cmbRole.SelectedValuePath = "IdRole";

            User us = db.User.SingleOrDefault(item => item.IdUser == UserID);
            txtName.Text = us.NameUser;
            txtFullName.Text = us.FullNameUser;
            txtPassword.Text = us.Password;
            cmbRole.SelectedValue = $"{us.RoleId}";


        }

        private void EditUser_Click(object sender, RoutedEventArgs e)
        {
            if (txtFullName.Text == string.Empty || txtName.Text == string.Empty || txtPassword.Text == string.Empty || cmbRole.Text == string.Empty)
            {
                MessageBox.Show("Ключевые поля не заполнены");
            }
            else
            {
                User us = db.User.SingleOrDefault(item => item.IdUser == IdUser);
                us.NameUser = txtName.Text;
                us.FullNameUser = txtFullName.Text;
                us.Password = txtPassword.Text;
                us.RoleId = Convert.ToInt32((cmbRole.SelectedItem as Role).IdRole);
                db.SaveChanges();
                MessageBox.Show("Данные отредактированы!");
            }

        }
    }
}
